Get a scene

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/scenes/{scene_id}

Get a scene with its related data.

Path parameters

  • scene_id string(uuid) Required

    Unique identifier of the scene

Responses

  • 200 application/json

    The scene

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
  • 403

    You do not have access to this project, or you are a vendor without a task on this entity

  • 404

    The scene does not exist

GET /data/scenes/{scene_id}
curl -X GET "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "SC001",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c250"
}